=== debian/changelog ===
lcgdm (1.8.1.2-3) unstable; urgency=low

  * Add some missing directories to packages (fixes piupart warnings)
  * Fix insignificant glitch in the patches that caused warnings during build

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 20 Oct 2011 01:08:44 +0200

lcgdm (1.8.1.2-2) unstable; urgency=low

  * Merge the lcgdm packages to a single source package for easier package
    maintenance and improved inter-package dependency handling (Closes:
    #643476, #643477, #643485, #643486)
  * Implement new package names agreed with upstream
  * Add debug package
  * Use dpkg's build flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 09 Sep 2011 13:35:24 +0200

dpm-postgres (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 19:21:09 +0200

dpm (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 18:25:30 +0200

lfc-postgres (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 17:35:09 +0200

lfc (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 16:09:11 +0200

dpm-postgres (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 16 May 2011 06:47:45 +0200

dpm (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 15 May 2011 21:23:35 +0200

lfc-postgres (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 16 May 2011 06:39:04 +0200

lfc (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile (Closes: #626070)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 11 May 2011 08:49:57 +0200

dpm-postgres (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581087, #581088, #581089, #581090, #581093, #581097)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

dpm (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581081, #581082, #581083, #581084, #581085, #581086,
    #581096)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

lfc-postgres (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581120)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

lfc (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581118, #581119)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

dpm-postgres (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

dpm (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

lfc-postgres (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

lfc (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

dpm-postgres (1.7.4.1-3) unstable; urgency=low

  * Correct install script typos (fixes piuparts errors)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 18:40:02 +0100

dpm (1.7.4.1-3) unstable; urgency=low

  * Correct install script typos (fixes piuparts errors)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 18:40:02 +0100

dpm-postgres (1.7.4.1-2) unstable; urgency=low

  * More porting fixes for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 00:18:31 +0100

dpm (1.7.4.1-2) unstable; urgency=low


