## lcgdm 1.8.2

=== rpm/Makefile ===
--- 
+++ 
@@ -14,6 +14,31 @@
 
 OS=$(shell ../scripts/get-platform-os)
 
+define emibuildrequires
+BuildRequires:  globus-gssapi-gsi-devel%{?_isa}\n
+BuildRequires:  globus-gss-assist-devel%{?_isa}\n
+BuildRequires:  globus-gsi-credential-devel%{?_isa}\n
+BuildRequires:  globus-gsi-callback-devel%{?_isa}\n
+BuildRequires:  globus-gass-copy-devel%{?_isa}\n
+BuildRequires:  globus-ftp-client-devel%{?_isa}\n
+BuildRequires:  globus-common-devel%{?_isa}\n
+BuildRequires:  voms-devel%{?_isa}\n
+BuildRequires:  gsoap-devel%{?_isa}\n
+BuildRequires:  CGSI-gSOAP-devel%{?_isa} >= 1.3.4.0\n
+BuildRequires:  CGSI_gSOAP_2.7-voms%{?_isa}\n
+BuildRequires:  mysql-devel%{?_isa}\n
+BuildRequires:  argus-pep-api-c-devel%{?_isa}\n
+BuildRequires:  swig%{?_isa}\n
+BuildRequires:  python-devel%{?_isa}\n
+endef
+
+define glitebuildrequires
+endef
+
+ifndef BUILDREQUIRES
+BUILDREQUIRES=$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "$(emibuildrequires)"; else echo "$(glitebuildrequires)"; fi;)
+endif
+
 ifndef VERSION
 include ../VERSION
 endif
@@ -31,7 +56,7 @@
 endif
 
 LIBDIR='lib'
-ifeq ($(shell uname -m),'x86_64')
+ifeq ($(shell uname -m),x86_64)
     LIBDIR='lib64'
 endif
 ifeq ($(PERLDIR),)
@@ -115,6 +140,8 @@
 			-e 's/@PYTHON.VERSION@/$(PYTHON_VERSION)/g;' \
 			-e 's/@REQUIRES.VOMS@/$(REQUIRES.VOMS)/g;' \
 			-e 's,@PERLDIR@,$(PERLDIR),g;' \
+			-e 's/BuildRequires: @BUILDREQUIRES@/$(BUILDREQUIRES)/g;' \
+			-e 's#$${EXTRA_CONFIGURE_OPTIONS}#$(EXTRA_CONFIGURE_OPTIONS)#;' \
 			-f $(OS).spec.requires $$spec >build-rpm/SPECS/$$spec; \
 	done
 
@@ -126,7 +153,7 @@
 
 rpm-lcg-dm-common $(BUILD_COMMON): build-rpm 
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec
 
 install-lcg-dm-common: $(BUILD_COMMON)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -140,7 +167,7 @@
 
 rpm-LFC-client $(BUILD_LFC_CLIENT): build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec
 
 install-LFC-client: $(BUILD_LFC_CLIENT)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -154,7 +181,7 @@
 
 rpm-DPM-client $(BUILD_DPM_CLIENT): build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec
 
 install-DPM-client: $(BUILD_DPM_CLIENT)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -168,7 +195,7 @@
 
 rpm-LFC-mysql $(BUILD_LFC_MYSQL): build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec
 
 install-LFC-mysql: $(BUILD_LFC_MYSQL)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -182,7 +209,7 @@
 
 rpm-DPM-mysql $(BUILD_DPM_MYSQL): build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec
 
 install-DPM-mysql: $(BUILD_DPM_MYSQL)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -194,7 +221,7 @@
 
 rpm-DPM-dicom-mysql: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec
 
 ###############################################################################
 # LFC Oracle
@@ -203,7 +230,7 @@
 rpm-LFC-oracle: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
 	source $(PROC_INIT); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec
 
 ###############################################################################
 # DPM Oracle
@@ -212,7 +239,7 @@
 rpm-DPM-oracle: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
 	source $(PROC_INIT); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec
 
 ###############################################################################
 # LFC PostgreSQL
@@ -220,7 +247,7 @@
 
 rpm-LFC-postgres: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec
 
 ###############################################################################
 # DPM PostgreSQL
@@ -228,7 +255,7 @@
 
 rpm-DPM-postgres: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec
 
 ###############################################################################
 # LFC Python 2.5
