=== debian/changelog ===
lcgdm (1.8.2-1) unstable; urgency=low

  * Update to version 1.8.2 (Closes: #630497)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 07 Dec 2011 19:56:02 +0100
