=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.8.1.2
+VERSION=1.8.2
 
 configure: configure-stamp
 	:
@@ -89,6 +89,7 @@
 	sed '/^\#define.*YES/d' -i lfc-postgres/config/Project.tmpl \
 				   lfc-postgres/config/Library.tmpl
 	sed '/^SECURITYDIR =/d' -i lfc-postgres/config/Project.tmpl
+	sed 's/\(install:\).*/\1/' -i lfc-postgres/h/Imakefile
 
 	cd lfc-postgres && \
 	make -f Makefile.ini Makefiles
@@ -161,6 +162,7 @@
 	sed '/^\#define.*YES/d' -i dpm-postgres/config/Project.tmpl \
 				-i dpm-postgres/config/Library.tmpl
 	sed '/^SECURITYDIR =/d' -i dpm-postgres/config/Project.tmpl
+	sed 's/\(install:\).*/\1/' -i dpm-postgres/h/Imakefile
 
 	cd dpm-postgres && \
 	make -f Makefile.ini Makefiles
@@ -263,5 +265,3 @@
 	    -e 's!\$$PREFIX/etc!/etc!' \
 	    -e 's!mysqld!mysql!' \
 	    $(INSTALLDIR)$(_datadir)/lfc/rc.lfcdaemon > \
-	    $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.init
-	chmod 755 $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.init
